import { ChainData, Token } from "@0xsquid/squid-types";
import { ExecuteFiatQuoteResult, ExecuteQuoteClient, OnrampConfigResponse, OnrampPaymentMethod, OnRampQuoteParams, OnrampQuoteResponse, OnRampTransactionStatus } from "../../core/types/onramps/onramp";
export declare class OnrampService {
    private readonly baseUrl;
    getQuote(params: OnRampQuoteParams): Promise<OnrampQuoteResponse>;
    executeQuote(params: ExecuteQuoteClient): Promise<ExecuteFiatQuoteResult>;
    getTransactionStatus(transactionId: string, walletAddress: string, providerId: string): Promise<OnRampTransactionStatus>;
    getConfiguration({ chains, tokens, }: {
        chains: ChainData[];
        tokens: Token[];
    }): Promise<OnrampConfigResponse>;
    getPaymentTypes(fiatCurrency: string, cryptoCurrencyID: string, country?: string): Promise<OnrampPaymentMethod[]>;
}
